#include <iostream>
#include <vector>

#include <ClanLib/core.h>

#include "resource_tree.h"

int main()
{
	std::vector<char> buffer;

        char c;
	while(std::cin.get(c)) buffer.push_back(c);

	CL_SetupCore::init();

	init_resource_map();

	ResourceTree tree(buffer);
	tree.write();

	CL_SetupCore::deinit();
}
